package de.miaurizius.jgame2d.entity.item;

import de.miaurizius.jgame2d.core.GamePanel;
import de.miaurizius.jgame2d.core.enums.EntityType;
import de.miaurizius.jgame2d.entity.Entity;

public class IronShieldObj extends Entity {

    public IronShieldObj(GamePanel panel) {
        super(panel);

        name = "Iron Shield";
        description = "[" + name + "]\nAn iron shield. It's very\nheavy.";
        type = EntityType.SHIELD;
        down1 = initEntitySprites("objects/shield_blue");
        defenseValue = 2;

        price = 50;
    }

}
